← OBPv7.0.0 Create Bank Account Balance POST /obp/v7.0.0/banks/BANK_ID/accounts/ACCOUNT_ID/balances OBPv5.1.0-createBankAccountBalance Roles: CanCreateBankAccountBalance(per bank) AccountBalance Create a new Balance for a Bank Account. User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: ACCOUNT_ID: 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0 BANK_ID: gh.29.uk JSON request body fields (2) balance_amount 50.89balance_type openingBooked JSON response body fields (5) account_id 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0balance_amount 50.89balance_id 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uhbalance_type openingBookedbank_id gh.29.uk Example request body { "balance_type": "openingBooked", "balance_amount": "50.89" } Example success response { "bank_id": "gh.29.uk", "account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0", "balance_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh", "balance_type": "openingBooked", "balance_amount": "50.89" } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-10001: Incorrect json format.OBP-50000: Unknown Error.